mallow docs

Artworks by creator

POST
/v1/artworks/byCreator

Search for artworks created by a given address. Results are cached for 5 minutes.

Note: This endpoint uses POST instead of GET to support complex filter objects in the request body. This is an intentional design decision for filter-heavy queries.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/artworks/byCreator" \  -H "Content-Type: application/json" \  -d '{    "page": 0,    "sort": "recently-listed",    "filter": {      "creator": "string"    }  }'
{  "result": [    {      "mintAccount": "string",      "name": "string",      "image": "string"    }  ]}